Subject: Re: Problem in compiling a kernel module

From: Matthias Fechner <[email-masked]>
Date: Thu, 15 Mar 2007 05:27:06 +0100

Hello Domen,

* Domen Puncer <[email-masked]> [14-03-07 07:54]:
> __initdata
> 
> > 
> > void max6633_cleanup(void)
> > {
> >    int res;
> >    if(max6633_initialized==1)
> 
> But you access it from non-init code.

ah ok, I rechecked the docu in the kernel now again and found a small
line that mentioned that. I have easily written the code from the docu.
But now it will be linked fine.

Thx a lot, now a lot of thinks got clearer and I understood some steps.

Best regards,
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook